[Pkg-jed-commit] r1196 - jed-extra/trunk/utils

Guenter Milde milde-guest at alioth.debian.org
Mon Oct 5 12:51:58 UTC 2009


Author: milde-guest
Date: 2009-10-05 12:51:57 +0000 (Mon, 05 Oct 2009)
New Revision: 1196

Added:
   jed-extra/trunk/utils/check_installation_gm.sh
Log:
Adapted test script (skip "extra" modes and unit tests)

Added: jed-extra/trunk/utils/check_installation_gm.sh
===================================================================
--- jed-extra/trunk/utils/check_installation_gm.sh	                        (rev 0)
+++ jed-extra/trunk/utils/check_installation_gm.sh	2009-10-05 12:51:57 UTC (rev 1196)
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Check if all modes are loadable. This does not ensure they are usable, but
+# it is a first step in this direction.
+
+MODES=$(find /usr/share/jed/jed-extra -type f -name \*.sl -printf "%P ")
+# MODES=$(ls /usr/share/jed/jed-extra/*.sl)
+
+echo "testing modes with jed -batch -n \$opt -l \"\$i\" 2>&1"
+
+for i in $MODES; do
+    printf "$i..."
+    opt=
+    case "$i" in
+      *vimisc.sl|*apsconf.sl)
+        echo "skipped, because it's a sub-file of a mode, not a standalone file."
+        continue
+        ;;
+      *life.sl|*cuamouse.sl)
+        # life.sl uses SCREEN_WIDTH and SCREEN_HEIGHT which are zero in
+        # -batch mode which causes an array of dimension < 0 is created
+        # cuamouse.sl: in batchmode x_* functions are not defined
+        echo "skipped, because it fails in batch mode."
+        continue
+        ;;
+      *gdbmrecent.sl)
+        if ! [ -f /usr/lib/slang/v2/modules/gdbm-module.so ]; then
+            echo "skipped, because the package slang-gdbm is not installed."
+            continue
+        fi
+        ;;
+      *tests/*)
+        echo " skipped unit test script"
+        continue
+        ;;
+      *extra/*)
+        echo " skipped (its an 'extra' mode)"
+        continue
+        ;;
+      *dict-curl.sl)
+        if ! [ -f /usr/lib/slang/v2/modules/curl-module.so ]; then
+            echo "skipped, because the package slang-curl is not installed."
+            continue
+        fi
+        ;;
+      *pcre.sl)
+        if ! [ -f /usr/lib/slang/v2/modules/pcre-module.so ]; then
+            echo "skipped, because the package slsh is not installed."
+            continue
+        fi
+        ;;
+    esac
+
+# verbose
+#    if OUTP=$(eval jed -batch -n $opt -l \"$i\" 2>&1); then
+# without error message
+    if OUTP=$(eval jed -batch -n $opt -l \"$i\" 2>&1); then
+        echo "success."
+    else
+        echo "failed: $OUTP"
+        echo
+        echo "# tested with jed -batch -n $opt -l \"$i\""
+    fi
+done


Property changes on: jed-extra/trunk/utils/check_installation_gm.sh
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:keywords
   + Author Date Id Revision
Added: svn:eol-style
   + native




More information about the Pkg-jed-commit mailing list